Reports
Sent visits
RankShark EnhanceScopereports:read
GET
The visits sent, oldest first, optionally between two dates and for one campaign (the newest ones when there are very many: narrow the range).
header
AuthorizationBearer <token>An Enhance API key (rsen_…) or an OAuth 2.1 access token, as "Authorization: Bearer …".
from?stringStart (ISO 8601; without an offset: the workspace's time zone)
Format
date-timeto?stringEnd (ISO 8601)
Format
date-timecampaignId?stringOne campaign
OK
application/json- response
[index: integer]?A sent visit
curl -X GET 'https://panel.rankshark.io/api/v1/reports/statistics'Example Response
[ { "ID": "v_01JC8Z5Q3M7T2K9W4R6Y1B0N5D", "Completed": true, "CampaignName": "Harbor Bakery - organic search", "CampaignId": "3f6c2a9e-5b1d-4c7a-9e2f-8a4b6c1d2e3f", "Keyword": "sourdough bakery portland", "Target": "harborbakery.example", "LastStatus": "Visit completed", "SentDateTime": "2026-11-03T14:22:05Z", "IP": "198.51.100.73", "SpentTime": 96000, "Mode": 1, "Failed": false, "Country": "US", "Region": "Oregon", "DeviceType": "Desktop", "OsFamily": "Windows", "Browser": "Chrome", "Source": "google.com", "PagesViewed": 3, "EngagementEvents": 7 }]